<?php
if (realpath($_SERVER["SCRIPT_FILENAME"]) == realpath(__FILE__)){die("This File　Access Denied.");}
require_once 'config/config.php';
class frontController
{
    public function dispatch()
    {
        // パラメーター取得（末尾の / は削除）

        $params = array();
        if ('' != $_SERVER['REQUEST_URI']) {
            // パラメーターを"/"で分割し、配列化する。
            $params = explode('/', $_SERVER['REQUEST_URI']);
        }
        //configで設定した文字列をコントローラーとして取得
        if ($params[ROOT_METHOD]) {
            $controller = $params[ROOT_METHOD];
        }else{
            //defaultを定義
            $controller = 'index';
        }

        // パラメータより取得したコントローラー名によりクラス振分け
        $controllerInstance = null;
        $className = ucfirst(strtolower($controller)) . 'Controller';

        // クラスファイル読込
        require_once 'raptor/controller/' . $className . '.php';
        $controllerInstance = new $className();

        $action = "index";
        //configで設定した文字列より一つ後をアクションとして取得
        if (ROOT_METHOD+1 < count($params)) {
            if($params[ROOT_METHOD+1] != null){
                $action = $params[ROOT_METHOD+1];
            }
        }

        //アクションメソッドを実行
        $actionMethod = ucfirst(strtolower($action)) . 'Action';
        $controllerInstance->$actionMethod($action);
    }
}

?>