<?php
if (realpath($_SERVER["SCRIPT_FILENAME"]) == realpath(__FILE__)){die("This File　Access Denied.");}
require_once ("dbconect.php");

class sqlApp extends dbconect {

	//SQLを実行し、その値を配列にして値を返す。Insertなど一部のSQLが実行できない場合があります。
	function sqlExcuteReturnQuery($sql = null) {
		$con = $this->returnDbconfig();

		//実際にSQLを実行する
		if ($result = mysqli_query($con, $sql))
		{
			//結果の配列を定義
			$resultArray = array();
			$keyArray = array();
			while($row = $result->fetch_object())
			{
				//SQLの実行結果を配列に入れる
				$keyArray = $row;
			    array_push($resultArray,$keyArray);
			}

			//Mysqlの接続を閉じる
			mysqli_close($con);

			//SQL結果を呼び出した変数に返す
			return ($resultArray);
		}
	}

	//ただSQLを実行する。Insertが実行された場合、そのIDを返す。Insert以外が実行されたらreturnする値はNULLとなります。
	//Insert以外にDropTableやDelete等の値が必要のないSQLにこちらを使用します。
	function sqlExcuteNoRetrunQuery($sql = null) {
		$con = $this->returnDbconfig();

		//実際にSQLを実行する
		$result　= mysqli_query($con, $sql);

		$returnValue = mysqli_insert_id($con);

		//Mysqlの接続を閉じる
		mysqli_close($con);

		//Insert時にキー列の取得が出来たらそれを返す
		if($returnValue){
			return $returnValue;
		}
	}
}
?>